# crashlog_unix.cpp File Reference

Unix crash log handler. More...

`#include "../../stdafx.h"`
`#include "../../crashlog.h"`
`#include "../../string_func.h"`
`#include "../../gamelog.h"`
`#include <errno.h>`
`#include <signal.h>`
`#include <sys/utsname.h>`

Go to the source code of this file.

## Data Structures

class | CrashLogUnix
| Unix implementation for the crash logger. More...

## Functions

static void CDECL | HandleCrash (int signum)
| Entry point for the crash handler.

## Variables

static const int | _signals_to_handle [] = { SIGSEGV, SIGABRT, SIGFPE, SIGBUS, SIGILL }
| The signals we want our crash handler to handle.

## Detailed Description

Unix crash log handler.

Definition in file crashlog_unix.cpp.

## Function Documentation

static void CDECL HandleCrash | ( | int | signum | ) | `[static]`

Entry point for the crash handler.

Note:
  Not static so it shows up in the backtrace.

Parameters:

  | signum | the signal that caused us to crash.

Definition at line 146 of file crashlog_unix.cpp.

References CrashLog::AfterCrashLogCleanup(), endof, GamelogTestEmergency(), and CrashLog::MakeCrashLog().

## Variable Documentation

const int _signals_to_handle[] = { SIGSEGV, SIGABRT, SIGFPE, SIGBUS, SIGILL }`[static]`

The signals we want our crash handler to handle.

Definition at line 139 of file crashlog_unix.cpp.